#!/usr/bin/env node
'use strict';

const consola = require('consola');
const mri = require('mri');

const subCommands = {
  _default: () => import('./chunks/default.cjs'),
  gh: () => import('./chunks/github.cjs'),
  github: () => import('./chunks/github.cjs')
};
async function main() {
  const args = process.argv.slice(2);
  let subCommand = args[0];
  if (!subCommand || subCommand.startsWith("-")) {
    subCommand = "_default";
  } else {
    args.shift();
  }
  if (!(subCommand in subCommands)) {
    consola.error(`Unknown command ${subCommand}`);
    process.exit(1);
  }
  await subCommands[subCommand]().then((r) => r.default(mri(args)));
}
main().catch(consola.error);
